ros-kinetic-jsk-data (2.2.6-0jessie) jessie; urgency=high

  * jsk_data: download_data.py: ensure chmod downloaded data if possible (#1571 <https://github.com/jsk-ros-pkg/jsk_common/issues/1571>)
  * jsk_data: download_data.py: Skip mkdir failures that can be caused by multiprocessing (#1553 <https://github.com/jsk-ros-pkg/jsk_common/issues/1553>)
  * Fix data_collection_server (#1549 <https://github.com/jsk-ros-pkg/jsk_common/issues/1549>)
    * Sleep less time in data_collection_server.py
    * Return false response in data_collection_server
  * Improve print information while download_data (#1536 <https://github.com/jsk-ros-pkg/jsk_common/issues/1536>)
  * [jsk_data][download_data.py] chmod decompressed data (#1532 <https://github.com/jsk-ros-pkg/jsk_common/issues/1532>)
  * Contributors: Kei Okada, Kentaro Wada, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 05 Jan 2018 00:00:00 -0000

ros-kinetic-jsk-data (2.2.5-0jessie) jessie; urgency=high

  * [jsk_data][download_data] support custom download dir / chmod  (#1530 <https://github.com/jsk-ros-pkg/jsk_common/issues/1530>)
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 19 Jun 2017 00:00:00 -0000

ros-kinetic-jsk-data (2.2.4-0jessie) jessie; urgency=high

  * [jsk_data][pr2_play.launch] replace doc to comment (#1526 <https://github.com/jsk-ros-pkg/jsk_common/issues/1526>)
    * [jsk_data][pr2_play.launch] remove relay to c2 ns
    * [jsk_data][pr2_play.sh] support other rosbag arguments
  * Fix bug for initialization of service server of data_collection_server (#1525 <https://github.com/jsk-ros-pkg/jsk_common/issues/1525>)
    * Mode to save topics without requestModified:
    - jsk_data/node_scripts/data_collection_server.py
  * Contributors: Kentaro Wada, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2017 00:00:00 -0000

ros-kinetic-jsk-data (2.2.3-0jessie) jessie; urgency=high

  * jsk_data/node_scripts/data_collection_server.py: Dump numpy.ndarray as npz file in data_collection_server.py (#1508 <https://github.com/jsk-ros-pkg/jsk_common/issues/1508>)
    * Fix for flake8
    * Dump numpy.ndarray as npz file, For small size data using npz_compressed.
  * Add my name to package.xml as a maintainer
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Mar 2017 00:00:00 -0000

ros-kinetic-jsk-data (2.2.2-0jessie) jessie; urgency=high

  * package.xml : Fix rosdep key: python-gdown -> python-gdown-pip
    According to https://github.com/ros/rosdistro/pull/13397
  * jsk_data/download_data.py : Check if specified md5 has 32 charactors
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Dec 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.2.1-0jessie) jessie; urgency=high

  * CMakeLists.txt : Strict rule of installing scripts
    Fix the part of #1488 <https://github.com/jsk-ros-pkg/jsk_common/issues/1488>
  * jsk_data/src/jsk_data/cli.py: Make stamping as optional in jsk_data (#1486 <https://github.com/jsk-ros-pkg/jsk_common/issues/1486>)
    I found forcely chaning filename is a bit too strict.. ;)
  * jsk_data/src/jsk_data/gdrive.py: Check if gdrive authorization has been successfully completed (#1485 <https://github.com/jsk-ros-pkg/jsk_common/issues/1485>)
  * jsk_data/data_collection_server.py:  set slop as rosparam and add warning in data_collection_server (#1483 <https://github.com/jsk-ros-pkg/jsk_common/issues/1483>)
  * jsk_data/data_collection_server.py:  Fix abs() for approx sync in data_collection_server.py (#1477 <https://github.com/jsk-ros-pkg/jsk_common/issues/1477>)
  * package.xml : Resolve dependency on python-gdown with rosdep (#1481 <https://github.com/jsk-ros-pkg/jsk_common/issues/1481>)
  * jsk_data/data_collection_server.py: fix typo in data_collection_server (#1480 <https://github.com/jsk-ros-pkg/jsk_common/issues/1480>)
    * Fix visual indent and line length to follow pep8
    * fix indent in data_collection_server
  * jsk_data/data_collection_server.py: add YAML topic savetype (#1476 <https://github.com/jsk-ros-pkg/jsk_common/issues/1476>)
  * jsk_data/data_collection_server.py: support non-header msg (#1476 <https://github.com/jsk-ros-pkg/jsk_common/issues/1476>)
  * Contributors: Kentaro Wada, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.2.0-0jessie) jessie; urgency=high

  * jsk_data/src/jsk_data/download_data.py: Create softlink for extracted files in download_data (#1467 <https://github.com/jsk-ros-pkg/jsk_common/pull/1467>)
    - For multiple workspaces like in jenkins.
  * Fix removing of symlink destination path (#1469 <https://github.com/jsk-ros-pkg/jsk_common/pull/1469>)
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.1.2-0jessie) jessie; urgency=high

  * src/jsk_data/download_data.py : create path direcotory before download data and return if permission denied, catch resourceNotFound
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Sep 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.1.1-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 07 Sep 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.1.0-0jessie) jessie; urgency=high

  * record.launch : add bagfile_prefix arg, add machine argument (https://github.com/jsk-ros-pkg/jsk_common/pull/1437, https://github.com/jsk-ros-pkg/jsk_common/pull/1438)
    
      * jsk_data/CMakeLists.txt : pr2_record could not run on travis
      * [jsk_data] add machine argument for record.launch
      * [jsk_data] add bagfile_prefix arg for record.launch
      * jsk_data/CMakeLists.txt : check if baxter_description is installed
      * [jsk_data] add pr2_description to run_depend
      * [jsk_data] add xacro to run_depend for testing
      * [jsk_data] add baxter_description to run_depend for testing
      * [jsk_data] add bagfile_prefix arg for record.launch
    
  * hrp2_play.launch use urdf model with hand for robot_description when  playing with hrp2. (#1434 <https://github.com/jsk-ros-pkg/jsk_common/pull/1434>)
  * pr2_play.launch: Remap /kinect_head topics to /kinect_head_c2 to play rosbag for pr2. (#1431 <https://github.com/jsk-ros-pkg/jsk_common/pull/1431>)
  * download_data.py: Add pkg_name for cache_dir to avoid data filename conflicts (#1442 <https://github.com/jsk-ros-pkg/jsk_common/issues/1442> )
    
      * Add pkg_name for cache_dir to avoid data filename conflicts
      * Support setting abspath for downloading data
    
  * data_collection_server.py: Another saving type LabelImage of data_collection_server (#1427 <https://github.com/jsk-ros-pkg/jsk_common/issues/1427>)
  * camera_coords_change_trigger : Add trigger node for data collection by camera coords change  (#1432 <https://github.com/jsk-ros-pkg/jsk_common/issues/1432>)
    Originally developped in
    https://github.com/furushchev/jsk_semantics_201607/blob/master/jsk_pr2_wandering/node_scripts/camera_coords_change_trigger.py.
  * synchronize_republish.py : Synchronize properly with slop for slow topics  (#1428 <https://github.com/jsk-ros-pkg/jsk_common/issues/1428>)
  * Move README to sphinx docs for jsk_data package   (#1433 <https://github.com/jsk-ros-pkg/jsk_common/issues/1433>)
  * Contributors: Kei Okada, Kentaro Wada, Masaki Murooka, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Sep 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.17-0jessie) jessie; urgency=high

  * Validate rosparams of data_collection_server.py
  * Fix bug for new savetype YAML in data_collection_server.py
  * Add YAML savetype to data_collection_server
  * Add sample for data_collection_server in jsk_data
  * Return saved message as TriggerResponse in data_collection_server
  * Make params as optional for data_collection_server
  * Change dynamically save_dir parameter in data_collection_server
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 21 Jul 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.16-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jun 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.15-0jessie) jessie; urgency=high

  * Add data_collection_server.py
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Jun 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.14-0jessie) jessie; urgency=high

  * Add utility to download data (ex. test_data/trained_data)
  * Fix url of google drive (view/download)
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 14 May 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.13-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 29 Apr 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.12-0jessie) jessie; urgency=high

  * Omitted name of filename for gdrive go cli
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 18 Apr 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.11-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.10-0jessie) jessie; urgency=high

  * [jsk_data] Fix deprecated arg in jsk_data command
  * [jsk_data] exact_sync: true for publishing points
    Modified:
    - jsk_data/launch/kinect2_bridge_play.launch
  * [jsk_data] Describe about pubopen and delete subcommands
    Modified:
    - jsk_data/README.md
  * [jsk_data] Add pubopen subcommand to open GoogleDrive
    Modified:
    - jsk_data/src/jsk_data/cli.py
    - jsk_data/src/jsk_data/gdrive.py
  * [jsk_data] Fix style and cleanup not used public_level
  * [jsk_data] Support deleting file only public
  * [jsk_data] Show fullname by pubinfo
  * [jsk_data] Use --noheader option for listing
  * [jsk_data] Download file from gdrive
  * [jsk_data] Upload to gdrive with gdrive module
  * [jsk_data] Use gdrive module for ls
  * [jsk_data] Use gdrive wrapper for pubinfo
  * [jsk_data] Add wrapper for drive command
  * [jsk_data] Add drive binary for linux x64 v1.9.0 from prasmussen/gdrive
    see https://github.com/prasmussen/gdrive/releases/tag/1.9.0
    Added:
    - jsk_data/scripts/drive-linux-x64
  * [jsk_data] Add playback launch for kinect2 using kinect2_bridge
    The reason I'd like to put this at this package is
    that installing kinect2_bridge package is not so easy.
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 13 Feb 2016 00:00:00 -0000

ros-kinetic-jsk-data (2.0.9-0jessie) jessie; urgency=high

  * [jsk_data] Deepends on jsk_topic_tools
    Taking over https://github.com/jsk-ros-pkg/jsk_common/pull/1196
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 14 Dec 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.8-0jessie) jessie; urgency=high

  * [jsk_data] Add roslint
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 07 Dec 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.7-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 05 Dec 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.6-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 02 Dec 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.5-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 30 Nov 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.4-0jessie) jessie; urgency=high

  * [jsk_data/hrp2_rosbag_always.sh] Record capture points
  * [jsk_data] Add stamp to file basename
  * [jsk_data] Add flake8 code style check
  * [jsk_data] Change path of tests for python package
  * [jsk_data/launch] add urata_record.launch
  * [jsk_data] Correctly gets selected file by percol
  * [jsk_data] Describe about downloading large file from Google Drive
  * [jsk_data] Add odom topics to be recorded by rosbag
  * [jsk_data] Record PC voltage
  * [jsk_data] Add shm_servo_state to rosbag always
  * [jsk_data] Add rosbag_always.py document
  * add new subscribe topic
  * [jsk_data] Select filename at getting with jsk_data  Closes #1141 <https://github.com/jsk-ros-pkg/jsk_common/issues/1141>
  * [jsk_data] Documentation about $ jsk_data cli
  * [jsk_data] Refactor: add cmd_pubinfo to __all__
  * [jsk_data] Select filename with percol in pubinfo
  * [jsk_data] add camera parm to pr2_play.launch
  * [jsk_data] Estimate filename if longer than 40
    Because gdrive does not return full title if it is longer than 40 Closes #1155 <https://github.com/jsk-ros-pkg/jsk_common/issues/1155>
  * [jsk_data] returning files does not work for zsh comp
  * [jsk_data] Add file completion in bash
  * [jsk_data] Refactor: indentation and comment
  * [jsk_data] Display view url by pubinfo
  * [jsk_data] Check existence of .ssh/config
  * [jsk_data] Config key check when getting config from .ssh/config Closes #1137 <https://github.com/jsk-ros-pkg/jsk_common/issues/1137>
  * [jsk_data] Refactor cmd_put with google_drive_download_url
  * [jsk_data] Add pubinfo subcommand
  * [jsk_data] Remove old Makefile
  * [jsk_data] Remove old jsk_data shell function
  * [jsk_data] Add completion script for jsk_data
  * [jsk_data] Add jsk_data command
  * [jsk_data] Show size of files when listing remote bag files
  * Add jsk_data function to handle data from anywhere
  * [jsk_data] Record pgain and dgain in case something happens
  * [jsk_tools] Use roslaunch internaly in rosbag_always.py in order to enable respawning
  * [jsk_data/hrp2_rosbag_always.sh] Record more topics
  * [jsk_tools] Record /urata_status topic in hrp2_rosbag_always.sh
  * [jsk_data] Popup notification on desktop when removing a bag file
  * [jsk_data] Handle bag files correctly with multiple ordered index
  * [jsk_data/rosbag_always.py] Supress message about directory size and colorize message about removing bag files
  * [jsk_data] Add more topics to record in hrp2_rosbag_always.sh
  * Contributors: Kentaro Wada, Ryohei Ueda, Yusuke Oshiro, Yuto Inagaki, Eisoku Kuroiwa, Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Nov 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.3-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 24 Jul 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.2-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 07 Jul 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.1-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 28 Jun 2015 00:00:00 -0000

ros-kinetic-jsk-data (2.0.0-0jessie) jessie; urgency=high

  * Fix default ROBOT name
  * Contributors: Kohei Kimura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 19 Jun 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.72-0jessie) jessie; urgency=high

  * add  recording magnetometer
  * Contributors: Ryo Terasawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Jun 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.71-0jessie) jessie; urgency=high

  * [jsk_data] common_record.launch: Mkdir for saving rosbag file
  * [jsk_data] Add image to all_image regex to common_record.launch
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 17 May 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.70-0jessie) jessie; urgency=high

  * [jsk_data] add option in hrp2_play with multisense
  * Contributors: Yu Ohara

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 08 May 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.69-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 05 May 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.68-0jessie) jessie; urgency=high

  * [jsk_data] env value ARIES_USER will be default username to login aries
  * [jsk_data] Add usage of KEYWORD for make large-list / small-list
  * [jsk_data] Add KEYWORD to large-list/small-list target in Makefile
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 05 May 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.67-0jessie) jessie; urgency=high

  * [jsk_data/rosbag_always.py] Remove old active file too
  * [jsk_data] enable to select use_depth_image_proc or use_stereo_image_proc
  * [jsk_data] add save_multisense parameter in hrp2_record.launch
  * [jsk_data] add save_multisense parameter in common_record.launch
  * [jsk_data] Save bags under ~/.ros directory
  * Contributors: Kamada Hitoshi, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 03 May 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.66-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 03 Apr 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.65-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Apr 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.64-0jessie) jessie; urgency=high

  * [jsk_data] Utility script to save/load robot_description
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 29 Mar 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.63-0jessie) jessie; urgency=high

  * [jsk_tilt_laser, jsk_data] Add multisense_play.launch to play multisene bag file
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 19 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.62-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 17 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.61-0jessie) jessie; urgency=high

  * [jsk_data] catkinize
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 11 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.60-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 03 Feb 2015 10:12:00 -0000

ros-kinetic-jsk-data (1.0.59-0jessie) jessie; urgency=high

  * Remove rosbuild files
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 03 Feb 2015 04:05:00 -0000

ros-kinetic-jsk-data (1.0.58-0jessie) jessie; urgency=high

  * Reuse isMasterAlive function across scripts which
    want to check master state
  * modify output topic name again
  * change output topic name into default
  * add launch file for reconstruction of point cloud from multisense disparity image
  * Contributors: Ryohei Ueda, Ryo Terasawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 00:00:00 -0000

ros-kinetic-jsk-data (1.0.57-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 23 Dec 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.56-0jessie) jessie; urgency=high

  * Use ping with 10 seconds timeout to check master aliveness
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 17 Dec 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.55-0jessie) jessie; urgency=high

  * Check master is reachable before chcking master is alive
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 09 Dec 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.54-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 15 Nov 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.53-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 01 Nov 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.52-0jessie) jessie; urgency=high

  * Fix rosbag to handle over 10 bags
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.51-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 16:01:00 -0000

ros-kinetic-jsk-data (1.0.50-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 01:50:00 -0000

ros-kinetic-jsk-data (1.0.49-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.48-0jessie) jessie; urgency=high

  * Add script to record rosbag always even if rosmaster is dead
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 12 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.47-0jessie) jessie; urgency=high

  * add pcds download option
  * Contributors: Yuto Inagaki

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.46-0jessie) jessie; urgency=high

  * add baxter rosbag play
  * Contributors: baxter

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 03 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.45-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 29 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.44-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 26 Sep 2014 09:17:00 -0000

ros-kinetic-jsk-data (1.0.43-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 26 Sep 2014 01:08:00 -0000

ros-kinetic-jsk-data (1.0.42-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 25 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.41-0jessie) jessie; urgency=high

  * set save_all_image false in default
  * add argument save_all_image to hrp2_record.launch. default is true.
  * enable to set other_topic as argument
  * Contributors: Masaki Murooka

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 23 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.40-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 19 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.39-0jessie) jessie; urgency=high

  * add large-list and small-list to listup bag files in jsk_data server
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 17 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.38-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 13 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.37-0jessie) jessie; urgency=high

  * add use_xterm argument to pr2_play.launch
  * add use_xterm argument to run rosbag with xterm
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.36-0jessie) jessie; urgency=high

  * Add a script to copy GOPRO movies to the server
  * add common_record.launch and include it from hrp2_record.launch
    and pr2_record.launch
  * add hrp2_record.launch hrp2_play.launch hrp2_play.sh
  * Contributors: Ryohei Ueda, Satoshi Otsubo

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 01 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.35-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 16 Aug 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.34-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 14 Aug 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.33-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 28 Jul 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.32-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 26 Jul 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.31-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 23 Jul 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.30-0jessie) jessie; urgency=high

  * added codes to remove c2/c3 topics
  * Contributors: Yu Ohara

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 15 Jul 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.29-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 02 Jul 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.28-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 24 Jun 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.27-0jessie) jessie; urgency=high

  * add pkls Makefile option for random forest sklearn
  * Contributors: Yuto Inagaki

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 10 Jun 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.26-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.25-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 26 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.24-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 24 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.23-0jessie) jessie; urgency=high

  * I modified the program to use stream mode
  * added programs for prosilica
  * Contributors: Yu Ohara

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 23 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.22-0jessie) jessie; urgency=high

  * ignore large/ and small/ directories created by makefile
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 22 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.21-0jessie) jessie; urgency=high

  * update Makefile to decompress bag file when bag fiels is compressed
  * more message on make large
  * add rosbag option for set loop
  * jsk_data: add KEYWORD features
  * Contributors: Kei Okada, Yuto Inagaki

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 20 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.20-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.19-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.18-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 04 May 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.17-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Apr 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.16-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 19 Apr 2014 23:29:00 -0000

ros-kinetic-jsk-data (1.0.15-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 19 Apr 2014 20:19:00 -0000

ros-kinetic-jsk-data (1.0.14-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 19 Apr 2014 12:52:00 -0000

ros-kinetic-jsk-data (1.0.13-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 19 Apr 2014 11:06:00 -0000

ros-kinetic-jsk-data (1.0.12-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 18 Apr 2014 16:58:00 -0000

ros-kinetic-jsk-data (1.0.11-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 18 Apr 2014 08:18:00 -0000

ros-kinetic-jsk-data (1.0.10-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 17 Apr 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.9-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 12 Apr 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.8-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 11 Apr 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.7-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 10 Apr 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.6-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 07 Apr 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.5-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 31 Mar 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.4-0jessie) jessie; urgency=high

  * jsk_data: add ssh -o StrictHostKeyChecking=no
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 29 Mar 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.3-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 19 Mar 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.2-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 12 Mar 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.1-0jessie) jessie; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Mar 2014 00:00:00 -0000

ros-kinetic-jsk-data (1.0.0-0jessie) jessie; urgency=high

  * add "use_gui" argument
  * enable to record gripper_command
  * enable to record pressure-sensor
  * add /tf when save_openni is true
  * add jsk_data into jsk-ros-pkg for mainly rosbag
  * Contributors: inagaki, iwaishi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 05 Mar 2014 00:00:00 -0000


